Skip to content
Primary navigation

Unassign organization role from group

DELETE/organization/groups/{group_id}/roles/{role_id}

Unassigns an organization role from a group within the organization.

Path ParametersExpand Collapse
group_id: string
role_id: string
ReturnsExpand Collapse
deleted: boolean

Whether the assignment was removed.

object: string

Identifier for the deleted assignment, such as group.role.deleted or user.role.deleted.

Unassign organization role from group

curl -X DELETE https://api.openai.com/v1/organization/groups/group_01J1F8ABCDXYZ/roles/role_01J1F8ROLE01 \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json"
{
    "object": "group.role.deleted",
    "deleted": true
}
Returns Examples
{
    "object": "group.role.deleted",
    "deleted": true
}